from tkinter import *

def mandel(c):
        z = 0
        for h in range(0, 20):
            z = z ** 2 + c
            if abs(z) > 2:
                break
        return abs(z) < 2

root = Tk()
WIDTH = 600
HEIGHT = 600
w = Canvas(root, width=WIDTH, height=HEIGHT)
w.pack()

for hx in range(0, WIDTH, 75):
    w.create_line(0, hx, WIDTH, hx, fill="blue")

for hy in range(0, 600, 75):
    w.create_line(hy, 0, hy, HEIGHT, fill="blue")

print("Initializing...")

for x in range(0, WIDTH):
    real = x / 150.0 - 1.5
    for y in range(0, HEIGHT):
        img = y / 150.0 - 1.5
        c = complex(real, img)
        if mandel(c):
            w.create_line(x, HEIGHT - y, x + 1, HEIGHT + 1 - y, fill="black")
            w.pack()

print("Complete!")

root.mainloop()    